Appendix A. Installing and Upgrading

This chapter will give you everything you need to know about installing and upgrading Joomla. In Chapter 2, we discussed how to install Joomla quickly using Fantastico, as well as why that method of installation is not the ideal way to install Joomla. This chapter will show you the preferred way of installing Joomla.

We understand that readers come from various backgrounds and may or may not have expertise in dealing with server environments. Some parts may get a little technical, but we’ll try to put away the super technical lingo and explain the process in simple terms everyone can understand.

Requirements

Even though Joomla may work on servers that do not meet the minimum specifications outlined in Table A-1, it is not advisable. In fact, you should strive to have your server support the recommended requirements.

Table A-1. Requirements for Joomla 1.5.x

Software

Recommended

Minimum

Software website

PHP

5.2+

4.3.10

www.php.net

MySQL

4.1.x+

3.23

www.mysql.com

Apache

2.x+

1.3

www.apache.org

Microsoft IIS

7

6

www.iis.net

Even though Joomla will work on Microsoft IIS, it is not officially supported. Joomla has been optimized for Apache, so use Microsoft IIS if it’s your only choice.

For up-to-date requirements, visit the official Joomla Technical Requirements page at http://www.joomla.org/about-joomla/technical-requirements.html.

Get Using Joomla now with O’Reilly online learning.

O’Reilly members experience live online training, plus books, videos, and digital content from 200+ publishers.